System.Web 2.0.0.0 System.Object System.Collections.ICollection

A is returned from the , , and methods of the class. The objects returned by the , , and methods contain a snapshot of user information in the membership data store. That is, changes to the membership user information in a are not reflected in the membership data store. To modify membership user information in the membership data store, use the , and methods of the class.

If you are not familiar with the membership features of ASP.NET, see Introduction to Membership before continuing. For a list of other topics related to membership, see Managing Users By Using Membership.

A collection of objects.

- Constructor

  A is constructed by membership provider implementers and returned from the and methods of the abstract class.

  Creates a new, empty membership user collection.

  2.0.0.0
- Method
  System.Void ``

  The method is commonly used by membership provider implementations of the , , and methods of the abstract class.

  Adds the specified membership user to the collection.

  A object to add to the collection. 2.0.0.0
- Method
  System.Void To be added.

  Removes all membership user objects from the collection.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  Copies the membership user collection to a one-dimensional array.

  A one-dimensional array of type that is the destination of the elements copied from the . The array must have zero-based indexing. The zero-based index in the array at which copying begins. 2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the number of membership user objects in the collection.

  2.0.0.0
- Method
  System.Collections.IEnumerator

  Enumerators only allow reading the data in the collection. Enumerators cannot be used to modify the underlying collection. For more information, see .

  Gets an enumerator that can iterate through the membership user collection.

  An for the entire .

  2.0.0.0
- Property
  System.Boolean To be added.

  Application code does not normally use this property.

  Gets a value indicating whether the membership user collection is thread safe.

  2.0.0.0
- Property
  System.Web.Security.MembershipUser `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the membership user object with the specified user name from the collection.

  The user name of the object to remove from the collection. 2.0.0.0
- Method
  System.Void

  The contents of a are considered read-only, as they are a snapshot of the membership user information in the membership data store. Membership user information is modified using the , and methods. The method marks the as read-only so that objects cannot be added to or removed from the collection. Property values for the objects are not marked as read-only. That is, you can modify the property values of a in the regardless of whether the collection has been marked as read-only by the method.

  Makes the contents of the membership user collection read-only.

  2.0.0.0
- Property
  System.Object To be added.

  Application code does not normally use this property.

  Gets the synchronization root.

  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the contents of the object to an , starting at a particular index.

  The one-dimensional that is the destination for the objects copied from the object. The must have zero-based indexing. The zero-based index in at which copying begins.